/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package pe.siso.horario.Services;

import java.util.ArrayList;
import pe.siso.horario.Beans.PlanaDocente;
import pe.siso.horario.DAO.DAOFactory;
import pe.siso.horario.DAO.PlanaDocenteDAO;

/**
 *
 * @author sistem02user
 */
public class PlanaDocenteServices {

    DAOFactory fabrica = DAOFactory.getDAOFactory(DAOFactory.MYSQL);
    PlanaDocenteDAO objPlanaDocenteDAO = fabrica.getPlanaDocenteDAO();

    public ArrayList<PlanaDocente> consultarAsignados(String codigosDocente, String codigoPeriodo) {
        ArrayList<PlanaDocente> lista = null;
        try {
            lista = objPlanaDocenteDAO.consultarAsignados(codigosDocente, codigoPeriodo);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return lista;
    }

    public int quitarPlanaDocente(String codigoDocente, String codigoPlana, String codigoPeriodo) {
        int dato = 0;
        try {
            dato = objPlanaDocenteDAO.quitarPlanaDocente(codigoDocente, codigoPlana, codigoPeriodo);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return dato;
    }
}
